Subject: help needed with imapd 3.6BETA on Solaris 2.4 (fwd)

From: Mark Crispin <[email-masked]>
Date: Sun, 16 Jul 1995 18:07:38 -0700 (PDT)

This is a bug in imap-3.6.BETA (and imap-4.ALPHA) which was fixed just
before I went on vacation (and I just got back).  I apologize for the
problem, but that's why we call them BETA and ALPHA.

Normally, the BETA version does not have such bad bugs (the ALPHA version
is much more likely).  This is the first bad bug of this magnitude in over
a year.

The bug was caused by an attempt to handle certain systems which report
over quota or disk full conditions by doing partial writes instead of
returning an error from the write.  My Unix box always returns an error
(and the man page documents this), so I was unaware that some Unix systems
do the other thing until recently.

Once again, it's all fixed now, so please get new sources.

Date: 11 Jul 1995 09:33:17 GMT
From: Guido Bunsen <[email-masked]>
To: [email-masked]
Subject: help needed with imapd 3.6BETA on Solaris 2.4

Hello,

we compiled imapd 3.6 BETA on a sun with solaris 2.4.

It is possible to read the mailbox. But when the mailbox (/var/mail/user)
on the server has to be written to disk after usage the mailbox content
gets garbled.

We believe that the Problem is in the routine
bezerk_write_message in the file c-client/bezerk.c.
We believe that the writev systemcall causes the problem.

We get the following messages:

Jul 11 10:24:23 harry imapd[17064]: Retrying after disk error user=testuser
host=arielle.Informatik.RWTH-Aachen.DE mbx=/var/mail/testuser: Invalid argument

Is this a known problem? Are there bug-fixes, workarounds or patches?

Sincerely,

Guido Bunsen

--
Guido Bunsen, Rechnerbetrieb Informatik, RWTH Aachen, 52056 Aachen
Tel: +49/241/80-21031 / FAX: +49/241/8888-216
WWW:http://www-users.informatik.rwth-aachen.de/~guido/
Email: [email-masked]